Bug 1478907 - Disable selection widget in Affinity Labels side tab when no labels exist
Disable selection widget in Affinity Labels side tab when no labels exist
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
4.1.5.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-4.1.5
: ---
Assigned To: Phillip Bailey
Artyom
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 09:25 EDT by Phillip Bailey
Modified: 2017-08-23 04:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 04:07:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+
mgoldboi: planning_ack+
dfediuck: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 79508 None None None 2017-08-07 09:27 EDT

  None (edit)
Description Phillip Bailey 2017-08-07 09:25:37 EDT
Description of problem:

How reproducible: Always


Steps to Reproduce:
1. On an ovirt setup with no affinity labels, open the New/Edit VM or host popup
2. Go to the Affinity Labels side tab
3. Click the Add button beside the drop down

Actual results: An exception is thrown and displayed in the UI.

Expected results: The Add button and drop down should be disabled if there are no labels present in the system.
Comment 1 Artyom 2017-08-13 08:09:36 EDT
Verified on ovirt-engine-4.2.0-0.0.master.20170811144920.gita423008.el7.centos.noarch
Comment 2 Artyom 2017-08-13 08:27:32 EDT
Verified on correct version rhevm-4.1.5.2-0.1.el7.noarch

Note You need to log in before you can comment on or make changes to this bug.